"use strict";

module.exports = function (context) {
  var namingConvention = context.options[0];

  return {
    "Program": function (node) {
      var folderPath = context.getFilename();
      var folderName = folderPath.split("/").pop();
      var regex;

      if (namingConvention === "camelCase") {
        regex = /^[a-z][a-zA-Z0-9]*$/;
      } else if (namingConvention === "kebab-case") {
        regex = /^[a-z][a-z0-9-]*$/;
      }

      if (!regex.test(folderName)) {
        context.report(node, "Folder name '{{folderName}}' does not match the naming convention.");
      }
    }
  };
};
